@font-face {
    font-family: Fredoka;
    src: url("./fonts/Fredoka-VariableFont_wdth,wght.woff2") format("woff2")

}

/* Zet box-sizing voor alle elementen op “border-box”  */
*, *::before, *::after {
    box-sizing: border-box;
}

/* Stel een font en default/fallback font in op het :root element */
:root {
    font-family: Fredoka, sans-serif;
    line-height: 1.6;
    scroll-behavior: smooth;
    --bg: oklch(0.99 0.003 325);
    --primary: oklch(0.25 0.01 325);
}

/* Zet de body margin op 0 */
body {
    margin: 0;
}

/* Maak een .container class */
.container {
    max-width: 80rem;
    margin-inline: auto;
    padding-inline: 1rem;

}

header {
    background-color: oklch(0.2878 0.1994 264.05);
    color: var(--bg);

    nav {

        ul {
            margin: 0;
            padding: 0;
            list-style: none;
            display: flex;
            flex-wrap: wrap;
            margin-inline-start: -2rem;


        }

        a {
            display: inline-block;
            padding-inline: 2rem;
            padding-block: 1rem;
            text-decoration: none;
            color: inherit;


        }
    }
}

main {
    nav {
        --text: oklch(0.99 0.003 325);;
        --bg: oklch(0.45 0.32 40);
    }

    nav a  {
        color: var(--text);
        background-color: var(--bg);
        transition: color .2s ease-in-out, background-color .4s ease-in-out .2s, border-radius .2s linear;
        padding: 1.5rem;
        text-decoration: none;

        &:hover,
        &:focus-visible {
            color: var(--bg);
            background-color: var(--text);
        }
    }

    nav li:first-child {
        margin-inline-end: auto;
    }
    nav li:first-child a{
        color: oklch(0.0134 0.0027 283.76);
        background-color: oklch(0.9941 0.0027 283.76);
        padding: 0;
    }

}
#nav ul{
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;

    &nav li:first-child a{

    }
}

.row {
    display: flex;
    gap: 2rem;

    > div {
        border: 1px dashed oklch(0.421 0.193 328.363);
        padding: 1rem;
        flex-grow: 1;

        &:first-child {
            flex-grow: 2;
        }
    }
}

.visually-hidden:not(:focus):not(:active) {
    clip: rect(0 0 0 0);
    clip-path: inset(50%);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
}



.content {
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;

}

.cards {
    display: flex;
    align-items: flex-end;
    gap: 2rem;
    margin: 0;
    padding: 0;
    list-style: none;
    flex-wrap: wrap;
    flex-direction: row;
    flex-basis: 80rem;


    li {
        display: flex;
        flex-direction: column;
        position: relative;
        margin: 0;
        padding: 0;
        text-align: left;
        box-shadow: 0 0 .2rem oklch(0 0 0 / .2), 0 0 2rem oklch(0 0 0 / .1);
        flex-basis: 18rem;
        max-width: 18rem;
        border-radius: 10px;



        .content {
            display: flex;
            flex-direction: inherit;
            justify-content: inherit;
            align-items: flex-start;
            padding-inline: 1rem;
            padding-block-end: 1rem;



            a:not(.overlay-link) {
                z-index: 1;
            }


            .overlay-link {
                position: absolute;
                inset: 0;

                text-indent: 100%;
                white-space: nowrap;
                overflow: hidden;
            }
        }

        img {
            order: -1;
            border-top-left-radius: 10px;
            border-top-right-radius: 10px;

        }
    }


}


.overlayeffect {
    position: absolute;
    top: 115%;
    left: 50%;
    transform: translateX(-50%);
    width: 0;
    height: 0;
    background-color: oklch(0.6719 0.1413 234.64 / 50%);
    border-radius: 50%;
    transition: width 0.6s ease-in-out, height 0.6s ease-in-out;
    pointer-events: none;
    z-index: 2;
}

.cards li{
        position: relative;
        overflow: hidden;
    .overlayeffect {
        position: absolute;
        top: 115%;
        left: 50%;
        transform: translateX(-50%);
        width: 0;
        height: 0;
        background-color: oklch(0.6719 0.1413 234.64 / 50%);
        border-radius: 50%;
        transition: width 0.6s ease-in-out, height 0.6s ease-in-out;
        pointer-events: none;
        z-index: 2;
    }
     &:hover .overlayeffect {
        width: 1000%;
        height: 1000%;
        transform: translateX(-50%) translateY(-100%);

    }
}
